import terser from '@rollup/plugin-terser'; 
import deletePlugin from 'rollup-plugin-delete'; 
import typescript from 'rollup-plugin-typescript2';
import { nodeResolve } from '@rollup/plugin-node-resolve';
import copy from 'rollup-plugin-copy';  
export default {
	input: 'src/index.ts',
	output: [
        {
            file: 'lib/index.cjs.js',
            format: 'cjs'
        },
        {
            file: 'lib/index.esm.js',
            format: 'es'
        },
        {
            file: 'lib/index.umd.js',
            name:'CoopEditorRenderer',
            format: 'umd'
        }       
    ],
    plugins:[
        deletePlugin({ targets: 'lib', hook: 'buildStart' }),
        terser(),
        nodeResolve(),
        typescript(),
        copy({  
            targets: [  
              { src: 'type.d.ts', dest: 'lib' }
            ]  
        })  
    ]
};